/*!****************************
 *                            *
 *  Smart Alert               *
 *                            *
 *  Code: Lukas Prvy          *
 *  Design: Pierre Borodin    *
 *                            *
 ******************************/


/* =====[ CORE STYLES ]========================================================================== */

/* -----[ OVERLAY ]------------------------------------------------------------------------------ */

#smartAlert {
    position: absolute;
    visibility: hidden;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 99999999999999999999;
}

body > #smartAlert {
    position: fixed;
}

/* -----[ BOX ]---------------------------------------------------------------------------------- */

#smartAlertBox {
    overflow: hidden;
    position: absolute;
}

/* -----[ HEADER ]------------------------------------------------------------------------------- */

#smartAlertHeader {
    position: relative;
}

#smartAlert[data-draggable="true"] #smartAlertHeader {
    cursor: move;
}

#smartAlert[data-ie="7"] #smartAlertHeader {
    width: expression((
        this.parentNode.clientWidth -
        parseInt(this.currentStyle['paddingLeft']) -
        parseInt(this.currentStyle['paddingRight'])
    ) + 'px');
}

#smartAlertTitle {
    text-align: left;
}

#smartAlertClose {
    display: none;
    position: absolute;
    cursor: pointer;
}

#smartAlert[data-cancel="true"] #smartAlertClose {
    display: block;
}

/* -----[ BODY ]--------------------------------------------------------------------------------- */

#smartAlertBody {
    display: table;
    width: 100%;
}

#smartAlert[data-ie="7"] #smartAlertBody {
    display: block;
    border-collapse: collapse;
    border-spacing: 0;
    width: auto;
    width: expression(this.parentNode.clientWidth + 'px');
}

#smartAlert[data-ie="7"] #smartAlertBody,
#smartAlert[data-ie="7"] #smartAlertBody td {
    margin: 0;
    padding: 0;
    outline: 0;
    border: none;
    font-weight: inherit;
    font-style: inherit;
    font-size: 100%;
    font-family: inherit;
    vertical-align: baseline;
}

/* -----[ ICONS ]-------------------------------------------------------------------------------- */

#smartAlertIcon {
    display: table-cell;
    background-position: center center;
    background-repeat: no-repeat;
}

#smartAlert[data-icon="false"] #smartAlertIcon {
    display: none;
}

/* -----[ CONTENT ]------------------------------------------------------------------------------ */

#smartAlertContent {
    display: table-cell;
    vertical-align: middle;
}

#smartAlert[data-align="left"] #smartAlertContent {
    text-align: left;
}

#smartAlert[data-align="center"] #smartAlertContent {
    text-align: center;
}

#smartAlert[data-align="right"] #smartAlertContent {
    text-align: right;
}

#smartAlert[data-ie="7"] #smartAlertContent {
    word-wrap: break-word;
}

#smartAlertPrompt {
    display: block;
    width: 100%;
    outline: none;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
}

/* -----[ BUTTONS ]------------------------------------------------------------------------------ */

#smartAlertButtons {
    position: relative;
    text-align: center;
}

#smartAlert[data-ie="7"] #smartAlertButtons {
    width: expression((
        this.parentNode.clientWidth -
        parseInt(this.currentStyle['paddingLeft']) -
        parseInt(this.currentStyle['paddingRight'])
    ) + 'px');
}

.smartAlertButton {
    display: inline-block;
    cursor: pointer;
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
}

#smartAlert[data-ie="8"] .smartAlertButton {
    position: relative;
}

#smartAlert[data-ie="7"] .smartAlertButton {
    display: inline;
    width: 1px;
}

.smartAlertButton:first-child,
.smartAlertButton.pie_first-child {
    margin-left: 0;
}

/* -----[ CSS3 PIE ]----------------------------------------------------------------------------- */

#smartAlert[data-pie="htc"],
#smartAlert[data-pie="htc"] #smartAlertBox,
#smartAlert[data-pie="htc"] #smartAlertHeader,
#smartAlert[data-pie="htc"] #smartAlertContent,
#smartAlert[data-pie="htc"] #smartAlertScrollBar,
#smartAlert[data-pie="htc"] #smartAlertScrollDrag,
#smartAlert[data-pie="htc"] #smartAlertButtons,
#smartAlert[data-pie="htc"] #smartAlertButton,
#smartAlert[data-pie="htc"] .smartAlertButton {
    behavior: url(alert/css/PIE.htc);
}

#smartAlert[data-pie="php"],
#smartAlert[data-pie="php"] #smartAlertBox,
#smartAlert[data-pie="php"] #smartAlertHeader,
#smartAlert[data-pie="php"] #smartAlertContent,
#smartAlert[data-pie="php"] #smartAlertScrollBar,
#smartAlert[data-pie="php"] #smartAlertScrollDrag,
#smartAlert[data-pie="php"] #smartAlertButtons,
#smartAlert[data-pie="php"] #smartAlertButton,
#smartAlert[data-pie="php"] .smartAlertButton {
    behavior: url(alert/css/PIE.php);
}

/* =====[ MALIHU CUSTOM SCROLLBAR ]============================================================== */

.mCSBC_container{width:auto;margin-right:30px;overflow:hidden}.mCSBC_container.mCS_no_scrollbar{margin-right:0}.mCS_disabled>.mCustomScrollBox>.mCSBC_container.mCS_no_scrollbar,.mCS_destroyed>.mCustomScrollBox>.mCSBC_container.mCS_no_scrollbar{margin-right:30px}.mCustomScrollBox>.mCSBC_scrollTools{width:16px;height:100%;top:0;right:0}.mCSBC_scrollTools .mCSBC_draggerContainer{position:absolute;top:0;left:0;bottom:0;right:0;height:auto}.mCSBC_scrollTools a+.mCSBC_draggerContainer{margin:20px 0}.mCSBC_scrollTools .mCSBC_draggerRail{width:2px;height:100%;margin:0 auto;-webkit-border-radius:10px;-moz-border-radius:10px;border-radius:10px}.mCSBC_scrollTools .mCSBC_dragger{cursor:pointer;width:100%;height:30px}.mCSBC_scrollTools .mCSBC_dragger .mCSBC_dragger_bar{width:4px;height:100%;margin:0 auto;-webkit-border-radius:10px;-moz-border-radius:10px;border-radius:10px;text-align:center}.mCustomScrollBox>.mCSBC_scrollTools{opacity:.75;filter:"alpha(opacity=75)";-ms-filter:"alpha(opacity=75)"}.mCustomScrollBox:hover>.mCSBC_scrollTools{opacity:1;filter:"alpha(opacity=100)";-ms-filter:"alpha(opacity=100)"}.mCSBC_scrollTools .mCSBC_draggerRail{background:#000;background:rgba(0,0,0,0.4);filter:"alpha(opacity=40)";-ms-filter:"alpha(opacity=40)"}.mCSBC_scrollTools .mCSBC_dragger .mCSBC_dragger_bar{background:#fff;background:rgba(255,255,255,0.75);filter:"alpha(opacity=75)";-ms-filter:"alpha(opacity=75)"}.mCSBC_scrollTools .mCSBC_dragger:hover .mCSBC_dragger_bar{background:rgba(255,255,255,0.85);filter:"alpha(opacity=85)";-ms-filter:"alpha(opacity=85)"}.mCSBC_scrollTools .mCSBC_dragger:active .mCSBC_dragger_bar,.mCSBC_scrollTools .mCSBC_dragger.mCSBC_dragger_onDrag .mCSBC_dragger_bar{background:rgba(255,255,255,0.9);filter:"alpha(opacity=90)";-ms-filter:"alpha(opacity=90)"}.mCustomScrollBox{max-width:none !important;}






/*!****************************
 *                            *
 *  Smart Alert               *
 *                            *
 *  Code: Lukas Prvy          *
 *  Design: Pierre Borodin    *
 *                            *
 ******************************/


/* =====[ DARK THEME ]=========================================================================== */

/* -----[ OVERLAY ]------------------------------------------------------------------------------ */

#smartAlert {
    background: rgba(0, 0, 0, 0.77);
    -pie-background: rgba(0, 0, 0, 0.77);
}

/* -----[ BOX ]---------------------------------------------------------------------------------- */

#smartAlertBox {
    margin: 25px;
    border: 1px solid #000;
    min-width: 270px;
    max-width: 465px;
    font-family: sans-serif;
    font-size: 13px;
    background: #161616;
    border-radius: 3px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.1), 0 7px 25px rgba(0, 0, 0, 0.5);
    -webkit-box-shadow: 0 0 6px rgba(0, 0, 0, 0.1), 0 7px 25px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: 0 0 6px rgba(0, 0, 0, 0.1), 0 7px 25px rgba(0, 0, 0, 0.5);
    -ms-box-shadow: 0 0 6px rgba(0, 0, 0, 0.1), 0 7px 25px rgba(0, 0, 0, 0.5);
    -o-box-shadow: 0 0 6px rgba(0, 0, 0, 0.1), 0 7px 25px rgba(0, 0, 0, 0.5);
}

#smartAlert[data-type="prompt"] #smartAlertBox {
    min-width: 310px;
}

#smartAlert[data-ie="8"] #smartAlertBox,
#smartAlert[data-ie="7"] #smartAlertBox {
    box-shadow: none;
}

/* -----[ HEADER ]------------------------------------------------------------------------------- */

#smartAlertHeader {
    border-bottom: 1px solid #000;
    padding: 14px 41px 13px 17px;
    background-color: #323232;
    background-image: linear-gradient(#434343, #202020);
    background-image: -webkit-linear-gradient(#434343, #202020);
    background-image: -moz-linear-gradient(#434343, #202020);
    background-image: -o-linear-gradient(#434343, #202020);
    background-image: -ms-linear-gradient(#434343, #202020);
    -pie-background: linear-gradient(#434343, #202020);
    box-shadow: 0 1px rgba(2, 3, 3, 0.25), 0 1px rgba(255, 255, 255, 0.3) inset, 0 0 0 1px rgba(255, 255, 255, 0.05) inset;
    -webkit-box-shadow: 0 1px rgba(2, 3, 3, 0.25), 0 1px rgba(255, 255, 255, 0.3) inset, 0 0 0 1px rgba(255, 255, 255, 0.05) inset;
    -moz-box-shadow: 0 1px rgba(2, 3, 3, 0.25), 0 1px rgba(255, 255, 255, 0.3) inset, 0 0 0 1px rgba(255, 255, 255, 0.05) inset;
    -ms-box-shadow: 0 1px rgba(2, 3, 3, 0.25), 0 1px rgba(255, 255, 255, 0.3) inset, 0 0 0 1px rgba(255, 255, 255, 0.05) inset;
    -o-box-shadow: 0 1px rgba(2, 3, 3, 0.25), 0 1px rgba(255, 255, 255, 0.3) inset, 0 0 0 1px rgba(255, 255, 255, 0.05) inset;
}

#smartAlertTitle {
    font-weight: bold;
    text-shadow: 0 -1px 1px rgba(2, 3, 3, 0.3);
    color: #fff;
    line-height: 13px;
}

#smartAlertClose {
    top: 13px;
    right: 14px;
    width: 13px;
    height: 13px;
    background: url(img/close.png);
}

@media only screen and (min-device-pixel-ratio: 2),
only screen and (-webkit-min-device-pixel-ratio: 2),
only screen and (-moz-min-device-pixel-ratio: 2),
only screen and (-o-min-device-pixel-ratio: 2/1) {

    #smartAlertClose {
        background: url(x2/close.png);
        background-size: 100%, 100%;
        -webkit-background-size: 100%, 100%;
        -moz-background-size: 100%, 100%;
        -o-background-size: 100%, 100%;
    }

}

#smartAlert[data-webkit] #smartAlertHeader,
#smartAlert[data-opera] #smartAlertHeader {
    border-radius: 2px 2px 0 0;
}

/* -----[ ICONS ]-------------------------------------------------------------------------------- */

#smartAlertIcon {
    width: 67px;
}

#smartAlert[data-icon="info"] #smartAlertIcon {
    background-image: url(../images/info.png);
}

#smartAlert[data-icon="confirm"] #smartAlertIcon {
    background-image: url(../images/confirm.png);
}

#smartAlert[data-icon="warning"] #smartAlertIcon {
    background-image: url(../images/warning.png);
}

#smartAlert[data-icon="error"] #smartAlertIcon {
    background-image: url(../images/error.png);
}

#smartAlert[data-icon="prompt"] #smartAlertIcon {
    background-image: url(../images/prompt.png);
}

@media only screen and (min-device-pixel-ratio: 2),
only screen and (-webkit-min-device-pixel-ratio: 2),
only screen and (-moz-min-device-pixel-ratio: 2),
only screen and (-o-min-device-pixel-ratio: 2/1) {

    #smartAlertIcon {
        background-size: 35px, 35px;
        -webkit-background-size: 35px, 35px;
        -moz-background-size: 35px, 35px;
        -o-background-size: 35px, 35px;
    }

    #smartAlert[data-icon="info"] #smartAlertIcon {
        background-image: url(../x2/info.png);
    }

    #smartAlert[data-icon="confirm"] #smartAlertIcon {
        background-image: url(x2/confirm.png);
    }

    #smartAlert[data-icon="warning"] #smartAlertIcon {
        background-image: url(x2/warning.png);
    }

    #smartAlert[data-icon="error"] #smartAlertIcon {
        background-image: url(x2/error.png);
    }

    #smartAlert[data-icon="prompt"] #smartAlertIcon {
        background-image: url(x2/prompt.png);
    }

}

/* -----[ CONTENT ]------------------------------------------------------------------------------ */

#smartAlertContent {
    padding: 24px 20px 24px 0;
    line-height: 20px;
    color: #848484;
}

#smartAlert[data-icon="false"] #smartAlertContent {
    padding-left: 52px;
}

#smartAlert[data-type="prompt"] #smartAlertContent {
    padding: 16px 20px 16px 0;
}

#smartAlert[data-type="prompt"][data-icon="false"] #smartAlertContent {
    padding-left: 26px;
}

#smartAlertScrollArea {
    margin: 0 20px 0 12px;
}

#smartAlertScrollBar {
    background: #333 !important;
}

#smartAlertScrollDrag {
    background: #444;
}

#smartAlertPrompt {
    border: 1px #414141 solid;
    padding: 5px;
    margin: 10px 0;
    font-family: sans-serif;
    font-size: 13px;
    line-height: 13px;
    color: #848484;
    background: none;
    border-radius: 3px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -o-border-radius: 3px;
    -ms-border-radius: 3px;
    box-shadow: 0 2px 3px rgba(2, 3, 3, 0.5) inset;
    -webkit-box-shadow: 0 2px 3px rgba(2, 3, 3, 0.5) inset;
    -moz-box-shadow: 0 2px 3px rgba(2, 3, 3, 0.5) inset;
    -o-box-shadow: 0 2px 3px rgba(2, 3, 3, 0.5) inset;
    -ms-box-shadow: 0 2px 3px rgba(2, 3, 3, 0.5) inset;
}

/* -----[ BUTTONS ]------------------------------------------------------------------------------ */

#smartAlertButtons {
    border-top: 1px solid #272727;
    padding: 12px 13px 13px;
    background: #1f1f1f;
}

#smartAlert[data-webkit] #smartAlertButtons,
#smartAlert[data-opera] #smartAlertButtons,
#smartAlert[data-ie="8"] #smartAlertButtons,
#smartAlert[data-ie="7"] #smartAlertButtons {
    border-radius: 0 0 2px 2px;
}

.smartAlertButton {
    margin-left: 11px;
    border: solid 1px #000;
    padding: 9px 22px 7px;
    min-width: 32px;
    font-weight: bold;
    line-height: 13px;
    color: #fff;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.5);
    background-color: #232323;
    background-image: linear-gradient(#2b2b2b 1%, #1d1d1d 99%);
    background-image: -webkit-linear-gradient(#2b2b2b 1%, #1d1d1d 99%);
    background-image: -moz-linear-gradient(#2b2b2b 1%, #1d1d1d 99%);
    background-image: -o-linear-gradient(#2b2b2b 1%, #1d1d1d 99%);
    background-image: -ms-linear-gradient(#2b2b2b 1%, #1d1d1d 99%);
    -pie-background: linear-gradient(#2b2b2b 1%, #1d1d1d 99%);
    border-radius: 3px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    box-shadow: 0 1px rgba(2, 3, 3, 0.5), 0 1px rgba(255, 255, 255, 0.07) inset, 0 0 0 1px rgba(255, 255, 255, 0.06) inset;
    -webkit-box-shadow: 0 1px rgba(2, 3, 3, 0.5), 0 1px rgba(255, 255, 255, 0.07) inset, 0 0 0 1px rgba(255, 255, 255, 0.06) inset;
    -moz-box-shadow: 0 1px rgba(2, 3, 3, 0.5), 0 1px rgba(255, 255, 255, 0.07) inset, 0 0 0 1px rgba(255, 255, 255, 0.06) inset;
    -ms-box-shadow: 0 1px rgba(2, 3, 3, 0.5), 0 1px rgba(255, 255, 255, 0.07) inset, 0 0 0 1px rgba(255, 255, 255, 0.06) inset;
    -o-box-shadow: 0 1px rgba(2, 3, 3, 0.5), 0 1px rgba(255, 255, 255, 0.07) inset, 0 0 0 1px rgba(255, 255, 255, 0.06) inset;
}

.smartAlertButton:hover {
    background-color: #404040;
    background-image: linear-gradient(#515151 1%, #2e2e2e);
    background-image: -webkit-linear-gradient(#515151 1%, #2e2e2e);
    background-image: -moz-linear-gradient(#515151 1%, #2e2e2e);
    background-image: -o-linear-gradient(#515151 1%, #2e2e2e);
    background-image: -ms-linear-gradient(#515151 1%, #2e2e2e);
    -pie-background: linear-gradient(#515151 1%, #2e2e2e);
    box-shadow: 0 1px rgba(2, 3, 3, 0.5), 0 1px rgba(255, 255, 255, 0.07) inset, 0 0 0 1px rgba(255, 255, 255, 0.06) inset;
    -webkit-box-shadow: 0 1px rgba(2, 3, 3, 0.5), 0 1px rgba(255, 255, 255, 0.07) inset, 0 0 0 1px rgba(255, 255, 255, 0.06) inset;
    -moz-box-shadow: 0 1px rgba(2, 3, 3, 0.5), 0 1px rgba(255, 255, 255, 0.07) inset, 0 0 0 1px rgba(255, 255, 255, 0.06) inset;
    -ms-box-shadow: 0 1px rgba(2, 3, 3, 0.5), 0 1px rgba(255, 255, 255, 0.07) inset, 0 0 0 1px rgba(255, 255, 255, 0.06) inset;
    -o-box-shadow: 0 1px rgba(2, 3, 3, 0.5), 0 1px rgba(255, 255, 255, 0.07) inset, 0 0 0 1px rgba(255, 255, 255, 0.06) inset;
}

.smartAlertButton.smartAlertActive {
    border: 1px solid #000;
    box-shadow: 0 1px rgba(2, 3, 3, 0.5), 0 0 6px rgba(139, 139, 139, 0.6), 0 1px rgba(255, 255, 255, 0.07) inset, 0 0 0 1px rgba(255, 255, 255, 0.06) inset;
}

.smartAlertButton.smartAlertClick {
    background-color: #1c1c1c;
    background-image: linear-gradient(#171717, #222 99%);
    background-image: -webkit-linear-gradient(#171717, #222 99%);
    background-image: -moz-linear-gradient(#171717, #222 99%);
    background-image: -o-linear-gradient(#171717, #222 99%);
    background-image: -ms-linear-gradient(#171717, #222 99%);
    -pie-background: linear-gradient(#171717, #222 99%);
    box-shadow: 0 1px rgba(255, 255, 255, 0.15), 0 2px 2px -1px #000000 inset;
    -webkit-box-shadow: 0 1px rgba(255, 255, 255, 0.15), 0 2px 2px -1px #000000 inset;
    -moz-box-shadow: 0 1px rgba(255, 255, 255, 0.15), 0 2px 2px -1px #000000 inset;
    -ms-box-shadow: 0 1px rgba(255, 255, 255, 0.15), 0 2px 2px -1px #000000 inset;
    -o-box-shadow: 0 1px rgba(255, 255, 255, 0.15), 0 2px 2px -1px #000000 inset;
}